import {Platform} from 'react-native';
import {Dimensions, StyleSheet} from 'react-native';
import theme from '../../utils/theme';
const deviceWidth = Dimensions.get('window').width;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    padding: 46,
    backgroundColor: 'white',
  },
  header: {
    backgroundColor: '#2d2d2d',
  },
  column: {
    padding: 4,
    borderRadius: 4,
  },
  mainheading: {
    backgroundColor: theme.primaryColor,
    borderColor: '#f0a223',
    borderWidth: 1,
    alignItems: 'center',
    padding: 18,
    marginLeft: 24,
    marginRight: 24,
    borderRadius: 10,
    height: 110,
  },
  maintitle: {
    fontWeight: 'bold',
    fontSize: 18,
    color: '#fef4e4',
    textAlign: 'center',
    paddingTop: 25,
    textTransform: 'uppercase',
  },
  subheading: {
    backgroundColor: '#0d0d0d',
    borderColor: '#f0a223',
    borderWidth: 1,
    textAlign: 'center',
    alignItems: 'center',
    padding: 6,
    borderRadius: 10,
    height: 90,
  },
  subtitle: {
    fontWeight: 'bold',
    fontSize: 14,
    color: '#fef4e4',
    textAlign: 'center',
    paddingTop: 28,
    textTransform: 'uppercase',
  },
  chart: {
    justifyContent: 'center',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    marginHorizontal: 8,
    marginVertical: 8,
    paddingHorizontal: 12,
    paddingVertical: 8,
  },
  topiconsec: {
    flexDirection: 'row',
  },
  stockchart: {
    marginTop: 15,
  },
  Companyname: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
  },
  sharerate: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  shareamt: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.secondryColor,
  },
  sharepercentgreen: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.successGreen,
  },
  sharepercentred: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'red',
  },
  Companyname1: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
  },
  sharerate1: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    marginVertical: 4,
  },
  shareamt1: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    color: theme.secondryColor,
  },
  sharepercentage1: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
  },
  dayview: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: 16,
  },
  day: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    fontWeight: 'bold',
    color: 'white',
    paddingHorizontal: 8,
  },
  active: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    fontWeight: 'bold',
    color: theme.secondryColor,
    paddingHorizontal: 8,
  },
  dayview1: {
    flexDirection: 'row',
    alignSelf: 'center',
  },
  day1: {
    color: 'white',
    paddingHorizontal: 3,
    textAlign: 'center',
    fontSize: 10,
  },
  active1: {
    color: theme.secondryColor,
    paddingHorizontal: 3,
    fontSize: 10,
  },
  bggreen: {
    backgroundColor: theme.greenBg,
    padding: 10,
    paddingHorizontal: 17,
    color: theme.white,
  },
  bottomiconsec: {
    marginTop: 20,
  },
  icontext: {
    fontSize: 16,
    fontWeight: 'bold',
    color: 'white',
    textAlign: 'center',
  },
  headingactivebtn: {
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.secondryColor,
    paddingHorizontal: 6,
    paddingVertical: 6,
    borderRadius: 6,
  },
  headingbtn: {
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'transparent',
    paddingHorizontal: 6,
    paddingVertical: 6,
    borderRadius: 6,
  },
  headingtxt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
  },
  headingactivetxt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
  },
  tabssec: {
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    marginHorizontal: 8,
    marginVertical: 8,
    paddingHorizontal: 16,
    paddingVertical: 20,
  },
  borderRight: {
    borderRightColor: theme.white,
    borderRightWidth: 1,
  },
  borderLeft: {
    borderLeftWidth: 1,
    borderLeftColor: theme.white,
  },
  searchIcon: {
    padding: 12,
  },
  closeIcon: {
    padding: 5,
    position: 'absolute',
    right: 10,
    top: 8,
  },
  input: {
    backgroundColor: 'transparent',
    color: theme.black,
  },
  tabssec1: {
    backgroundColor: theme.primaryColor,
    paddingHorizontal: 16,
    paddingVertical: 20,
  },
  searchSection1: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.themeColor,
    borderRadius: 8,
    marginTop: 12,
  },
  searchIcon1: {
    padding: 12,
  },
  input1: {
    flex: 1,
    fontSize: 14,
    color: 'white',
    paddingLeft: 0,
    paddingRight: 8,
  },
  searchSection: {
    marginTop: 10,
    backgroundColor: theme.themeColor,
    borderRadius: 10,
  },
  searchlist: {
    height: deviceWidth * 0.75,
    flexDirection: 'row',
    justifyContent: 'center',
    backgroundColor: theme.themeColor,
    borderTopLeftRadius: 0,
    borderTopRightRadius: 0,
    borderBottomLeftRadius: 10,
    borderBottomRightRadius: 10,
    paddingVertical: 8,
  },
  searchdata: {
    width: '70%',
  },
  searchsymbol: {
    width: '30%',
  },
  TrendingsearchSection: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    marginVertical: 16,
  },
  recenttrendingsearchSection: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.themeColor,
    borderRadius: 8,
    marginVertical: 16,
  },
  recentsearch: {
    backgroundColor: theme.primaryColor,
  },
  trending: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    marginTop: 16,
    paddingHorizontal: 16,
    paddingVertical: 16,
  },
  searchtext: {
    flex: 1,
    fontSize: 14,
    color: 'white',
    paddingLeft: 0,
    paddingRight: 8,
  },
  searchdetails: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 16,
  },
  symbol: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    fontWeight: 'bold',
    color: theme.white,
    marginVertical: 8,
  },
  rates: {
    color: theme.successGreen,
    fontSize: 16,
  },
  arrowicondown: {
    backgroundColor: theme.successGreen,
    color: theme.white,
    padding: 5,

    marginLeft: 10,
  },
  arrowiconup: {
    backgroundColor: 'red',
    color: theme.white,
    padding: 5,

    marginLeft: 10,
  },
  buybtn: {
    backgroundColor: 'green',
    paddingHorizontal: 8,
    paddingVertical: 8,
    borderRadius: 4,
  },
  buyText: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.white,
    textAlign: 'center',
  },
  sellbtn: {
    backgroundColor: 'red',
    marginTop: 8,
    paddingHorizontal: 8,
    paddingVertical: 8,
    borderRadius: 4,
  },
  sellText: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.white,
    textAlign: 'center',
  },
  ticker: {
    flexDirection: 'row',
    alignItems: 'center',
    backgroundColor: theme.primaryColor,
    paddingVertical: 8,
  },
  tickercolumn: {
    flexDirection: 'row',
    paddingHorizontal: 16,
    borderRightColor: 'black',
    borderRightWidth: 1,
  },
  companyname: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: '600',
  },
  textred: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'red',
    fontWeight: '400',
  },
  textgreen: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'green',
    fontWeight: '400',
  },
  content: {marginLeft: 8, marginRight: 4},
  imageIcon: {
    width: 32,
    height: 32,
  },
  btntext: {
    color: theme.black,
    fontWeight: 'bold',
    textAlign: 'center',
    textTransform: 'uppercase',
  },
  saveButton: {
    paddingHorizontal: 50,
    paddingVertical: 10,
    marginTop: 15,
    marginBottom: 15,
  },
  border: {
    //   borderWidth: 1,
    // borderColor: 'black',
    marginVertical: 10,
    marginHorizontal: 5,
  },
  modalView: {
    margin: 10,
    backgroundColor: theme.themeColor,
    borderRadius: 10,
    padding: 10,
    alignItems: 'center',
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    marginTop: '40%',
    justifyContent: 'center',
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5,
  },
  title: {
    fontSize: 18,
    color: theme.white,
    marginBottom: 10,
  },
  tabhead: {
    flexDirection: 'row',
    backgroundColor: theme.themeColor,
    borderRadius: 8,
  },
  tabheadlabel: {
    width: '33%',
  },
  upcompanydata: {
    width: '45%',
    alignItems: 'center',
    backgroundColor: theme.primaryColor,
    borderColor: 'green',
    borderWidth: 1,
    borderRadius: 8,
    margin: 8,
    padding: 8,
  },
  downcompanydata: {
    width: '45%',
    alignItems: 'center',
    backgroundColor: theme.primaryColor,
    borderColor: 'red',
    borderWidth: 1,
    borderRadius: 8,
    margin: 8,
    padding: 8,
  },
  recentviewtitle: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.white,
    fontWeight: 'bold',
    textAlign: 'center',
    marginHorizontal: 16,
  },
  newsSec: {
    backgroundColor: theme.primaryColor,
    borderRadius: 10,
    marginHorizontal: 8,
    marginVertical: 16,
    paddingHorizontal: 16,
    paddingVertical: 16,
  },
  newstitle: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.white,
    textAlign: 'justify',
    lineHeight: 16,
    paddingHorizontal: 8,
  },
  updatetime: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    color: theme.textColor,
    textAlign: 'right',
    paddingHorizontal: 8,
    marginTop: 8,
  },
  singlenews: {
    borderBottomColor: 'white',
    borderBottomWidth: 1,
    marginBottom: 8,
    paddingBottom: 8,
  },
  autocompletesContainer: {
    backgroundColor: theme.themeColor,
    paddingTop: 0,
    zIndex: 1,
    width: '100%',
    paddingHorizontal: 8,
  },
  firstView: {
    width: deviceWidth * 0.9,
    flexDirection: 'row',
  },
  secondView: {
    width: deviceWidth * 0.9,
    flexDirection: 'row',
  },
  areachart: {
    width: deviceWidth * 0.875,
    paddingVertical: 8,
  },
  activedot: {
    backgroundColor: theme.secondryColor,
    width: 8,
    height: 8,
    borderRadius: 8 / 2,
    marginHorizontal: 4,
  },
  inactivedot: {
    backgroundColor: theme.white,
    width: 8,
    height: 8,
    borderRadius: 8 / 2,
    marginHorizontal: 4,
  },

  diamondicon: {
    position: 'absolute',
    top: '42.2%',
    left: deviceWidth / 2 - 29,
    zIndex: 1,
    backgroundColor: theme.secondryColor,
    width: 15,
    height: 15,
    transform: [{rotate: '45deg'}],
  },
  fourchart: {
    width: deviceWidth * 0.875,
    paddingVertical: 8,
    zIndex: 0,
  },
  closeIcon: {
    padding: 5,
    position: 'absolute',
    right: 10,
    top: 8,
  },
  dragfourchart: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: 'white',
    borderStyle: 'dashed',
    borderWidth: 2,
    borderRadius: 4,
    marginHorizontal: 8,
    marginVertical: 4,
  },
  dragfourchartRight: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: 'white',
    borderStyle: 'dashed',
    borderWidth: 2,
    borderRadius: 4,
    marginHorizontal: 8,
    marginVertical: 4,
  },

  companylist: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    paddingHorizontal: 10,
    paddingVertical: 10,
  },
  companylist2: {
   
    justifyContent: 'space-between',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    paddingHorizontal: 10,
    paddingVertical: 10,
    marginTop: 4
  },
  companySymbolTxt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ffffffa1',
    fontWeight: '800',
    marginTop: 4
  },
  companyShareAmtTxt: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    color: '#ffffffa1',
    fontWeight: '400',
    marginTop: 4,
  },
  companySharesTxt: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    color: '#ffffffa1',
    fontWeight: '600',
    marginTop: 4,
  },
  companyPercentageContainer: {
    backgroundColor: theme.secondryColor,
    borderRadius: 4,
    marginHorizontal: 2,
    paddingHorizontal: 4,
    paddingVertical: 4,
  },
  companyPercentageTxt: {
    fontSize: 10,
    fontWeight: '600',
    color: theme.white,
    textAlign: 'center',
  },
  upgrade: {
    width: '81.25%',
    alignItems: 'center',
    backgroundColor: '#00BD9A',
    borderRadius: 4,
    paddingHorizontal: 4,
    paddingVertical: 4,
    marginTop:10.8
  },
  downgrade: {
    width: '81.25%',
    alignItems: 'center',
    backgroundColor: '#FF6960',
    borderRadius: 4,
    paddingHorizontal: 4,
    paddingVertical: 4,
  },
  companyChangeTxt: {
    fontSize: 10,
    fontWeight: '600',
    color: theme.black,
    textAlign: 'center',
  },
  sell: {
  width: '30%',

    //alignItems: 'center',
    backgroundColor: theme.danger,
    borderRadius: 4,
    paddingHorizontal: 4,
    paddingVertical: 4,
  },
  companySellTxt: {
    fontSize: 10,
    fontWeight: '600',
    color: theme.white,
    textAlign: 'center',
  },
  tabsec: {
    backgroundColor: '#2e2e2e52',
    paddingVertical: 20,
  },
  tabhead: {
    flexDirection: 'row',
    alignSelf: 'center',
    backgroundColor: theme.themeColor,
    borderRadius: 10,
    padding: 5,
  },
  headingactivebtn: {
    backgroundColor: theme.secondryColor,

    paddingVertical: 4,
    borderRadius: 6,
    marginHorizontal: 4,
  },
  headingbtn: {
    backgroundColor: 'transparent',
    borderRadius: 6,
    paddingVertical: 4,
  },
  headingtxt: {
    color: 'white',
    textAlign: 'center',
    paddingHorizontal: 25,
  },
  headingactivetxt: {
    color: 'white',
    textAlign: 'center',
    paddingHorizontal: 20,
  },
  activedot: {
    backgroundColor: theme.secondryColor,
    width: 10,
    height: 10,
    borderRadius: 50,
    marginHorizontal: 8,
  },
  inactivedot: {
    backgroundColor: theme.white,
    width: 10,
    height: 10,
    borderRadius: 50,
    marginHorizontal: 8,
  },

  listBroker:{
    flex:0.04,
    color:'white',
    height: Platform.OS == 'ios' ? 36 : 48,
    borderColor: 'white',
    borderWidth: 1,
    backgroundColor: theme.secondryColor,
    borderRadius: 10,
    marginVertical: 8,
    width:"28%"
  },

  listBrokerText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '500',
    color: 'white',
    textAlign: 'left',
    paddingHorizontal: Platform.OS == 'ios' ? 0 : 4,
  },

  brokerItemText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: 'black',
    textAlign: 'left',
  },
  listBrokerSelectedItemText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: theme.secondryColor,
    textAlign: 'left',
  },
  title: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'grey',
    fontWeight: 'bold',
    backgroundColor: theme.primaryColor,
    paddingHorizontal: 8,
    paddingVertical: 8,
  },
  imageView: {
    flex: 0.2875,
    justifyContent: 'center',
    alignItems: 'center',
  },
  imageStyle: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
  },
  applogo: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
  },
  logosec: {
    width: 40,
    height: 41,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor:'black',
    borderRadius: 60 / 2,
 
  },
  userContainer: {
    flex: 0.7,
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop:5
   
  },

  nameView: {
    flex: 0.7125,
    justifyContent: 'center',
    paddingHorizontal: 4,
    paddingVertical: 2,
    marginLeft:5
  },
  nameStyle: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    fontWeight: '600',
    color: theme.white,
  },

  designationStyle: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    fontWeight: '400',
    color: '#ffffff8a',
    marginTop: 2,
  },

  connectsocialstatus: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.secondryColor,
    fontWeight: 'bold',
    textAlign: 'center',
  },

  connect: {
    width: '30%',
    alignItems: 'center',
    backgroundColor: '#274f52',
    borderColor: theme.secondryColor,
    borderWidth: 1,
    borderRadius: 8,
    paddingHorizontal: 8,
    paddingVertical: 8,
  },


});

export default styles;
